#showLoadingBtn {
    padding: 10px 20px;
    cursor: pointer;
}

#loadingScreen {
    position: fixed;
    inset: 0;

    display: none;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    background-color: rgba(0, 0, 0, 0.3);
    color: white;
    z-index: 9999;
}

.spinner {
    width: 60px;
    height: 60px;

    border: 6px solid rgba(255, 255, 255, 0.3);
    border-top: 6px solid white;
    border-radius: 50%;

    animation: spin 1s linear infinite;
}

@keyframes spin {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}

#loadingScreen p {
    margin-top: 20px;
    font-size: 20px;
}